@import "@/styles/variables";

.search {
    &-wrapper {
        position: relative;
        width: 100%;
        height: 2.5rem;

        .search-icon {
            stroke: $gray-600;
        }

        .close-icon {
            fill: $gray-600;
        }

        &:hover {
            .search-icon {
                stroke: $gray-800;
            }

            .close-icon {
                fill: $gray-800;
            }
        }
    }

    &-input {
        @include button-2;

        font-family: var(--font-golos-text);
        color: $gray-600;
        padding: 0.75rem 1rem;
        width: 100%;
        border: 1px solid $gray-300;
        border-radius: $border-radius;
        background-color: $white;
        height: 2.5rem;

        &::placeholder {
            color: $gray-600;
        }

        &:hover {
            border: 1px solid $gray-500;
            color: $gray-800;

            &::placeholder {
                color: $gray-800;
            }
        }

        &:active,
        &:focus,
        &:focus-visible {
            border: 1px solid $gray-600;
            color: $gray-800;
        }
    }
}

.icon-frame {
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    width: 1rem;
    aspect-ratio: 1 / 1;

    &-right {
        right: 1rem;
        left: unset;

        &:hover {
            color: $secondary-color;
        }

        button {
            @include flex-center;

            cursor: pointer;
            border: none;
            border-radius: 0.3rem;
            display: flex;
        }
    }
}
